package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsAppVersionScrm;

/**
 * 安卓版本Service接口
 * 
 * @author fs
 * @date 2023-02-03
 */
public interface IFsAppVersionScrmService
{
    /**
     * 查询安卓版本
     * 
     * @param versionId 安卓版本ID
     * @return 安卓版本
     */
    public FsAppVersionScrm selectFsAppVersionById(Long versionId);

    /**
     * 查询安卓版本列表
     * 
     * @param fsAppVersion 安卓版本
     * @return 安卓版本集合
     */
    public List<FsAppVersionScrm> selectFsAppVersionList(FsAppVersionScrm fsAppVersion);

    /**
     * 新增安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int insertFsAppVersion(FsAppVersionScrm fsAppVersion);

    /**
     * 修改安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int updateFsAppVersion(FsAppVersionScrm fsAppVersion);

    /**
     * 批量删除安卓版本
     * 
     * @param versionIds 需要删除的安卓版本ID
     * @return 结果
     */
    public int deleteFsAppVersionByIds(Long[] versionIds);

    /**
     * 删除安卓版本信息
     * 
     * @param versionId 安卓版本ID
     * @return 结果
     */
    public int deleteFsAppVersionById(Long versionId);

    FsAppVersionScrm getAppVersion(String type);

    FsAppVersionScrm getNewVersion(Integer appType, int i);
}
